/****************************************
 *	DMX Demultiplexer					*
 *	LTC1660 10-bit DAC					*
 *										*
 *	Ephraim Hahn, BTTEC, 2010			*
 ****************************************/

#include "main.h"
#include "dmx.h"
#include "dac.h"

int main(void)
{
	int i=0;
	
	CHDATA out;
	
    init_dac();		// init dac
	init_dmx(1);	// init dmx
		
	sei();			// enable interrupts
	
	while(1)
	{
		out.data[0] = DmxRxField[0];
		out.bit.adc = out.bit.adc << 2;
		dac_output(1, out);
		if(i == 7)
			i = 0;
	}
	
    return 0;	
}
